﻿using System;
using System.Linq;
using System.Xml.Linq;

namespace LinqToXmlTrying
{
    // De Smets page 929
    class Program
    {

        static void Main(string[] args)
        {
            XElement rootElement = XElement.Load(@"..\..\students.xml");

            var query = from c in rootElement.Descendants("student")
                        select c.Element("name").Value;

            foreach (String s in query)
            {
                Console.WriteLine(s);
            }
            //CheapProducts();
        }

        private static void CheapProducts()
        {
            var doc = XDocument.Load(@"..\..\Products.xml");
            var products = doc.Element("Products").Elements();
            //foreach (var product in products)
            //{
            //    Console.WriteLine(product.Attribute("Name").Value);
            //}

            var cheapProducts = from product in products
                                let name = product.Attribute("Name").Value
                                let price = decimal.Parse(product.Attribute("Price").Value)
                                where price < 19.0m
                                // m means decimal
                                select new { Name = name, Price = price }; // anynomous type
            foreach (var product in cheapProducts)
            {
                Console.WriteLine(product.Name + " " + product.Price);
            }
        }
    }
}
